This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 249321 - Intent based Hyperlinks
Summary: Intent based Hyperlinks
Status: RESOLVED FIXED
Alias: None
Product: platform
Classification: Unclassified
Component: Output Window (show other bugs)
Version: 8.1
Hardware: All All
: P3 normal (vote)
Assignee: Jaroslav Havlin
URL:
Keywords: API, API_REVIEW_FAST
Depends on:
Blocks:
 
Reported: 2014-12-12 12:30 UTC by Jaroslav Havlin
Modified: 2014-12-21 06:07 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
Proposed Patch v1 (12.95 KB, patch)
2014-12-12 13:01 UTC, Jaroslav Havlin
Details | Diff
Proposed Patch (13.37 KB, patch)
2014-12-12 13:21 UTC, Jaroslav Havlin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Havlin 2014-12-12 12:30:17 UTC
Currently org.netbeans.api.io.Hyperlink can contain only Runnable object. It would be useful to have also hyperlinks for Intent objects.
Comment 1 Jaroslav Havlin 2014-12-12 13:01:28 UTC
Created attachment 151071 [details]
Proposed Patch v1
Comment 2 Jaroslav Havlin 2014-12-12 13:21:01 UTC
Created attachment 151073 [details]
Proposed Patch

Small fixes.
Comment 3 Jaroslav Havlin 2014-12-12 13:24:06 UTC
Please review API change in module org.netbeans.api.io.

Besides hyperlinks based on Runnables, let's support also hyperlinks that are defined by an Intent instance.

Added new static methods to class Hyperlink:

 - Hyperlink Hyperlink.from(Intent intent)
 - Hyperlink Hyperlink.from(Intent intent, boolean important)


As there are now two types of hyperlinks, which may be handled differently in some situations, we need some way to get info about type and internals of hyperlinks.

Added new enum HyperlinkType and new methods to class Hyperlinks:

 - HyperlinkType Hyperlinks.getType(Hyperlink hyperlink)
 - Intent Hyperlinks.getIntent(Hyperlink hyperlink)
 - Runnable Hyperlinks.getRunnable(Hyperlink hyperlink)


Thank you.
Comment 4 Jaroslav Havlin 2014-12-18 12:59:23 UTC
If there are no objections, I will integrate the patch tomorrow.
Thank you.
Comment 5 Jaroslav Havlin 2014-12-19 14:35:41 UTC
Integrated as http://hg.netbeans.org/core-main/rev/a5739dc33f69.
Thank you for reviewing.
Comment 6 Quality Engineering 2014-12-21 06:07:42 UTC
Integrated into 'main-silver', will be available in build *201412210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a5739dc33f69
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #249321: Intent based Hyperlinks